> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# PG Reconciliation

> - Use this API to get the payment gateway reconciliation details with date range.
- It will have events for your payment account




## OpenAPI

````yaml /openapi/payments/v2023-08-01.yaml post /recon
openapi: 3.0.0
info:
  version: '2023-08-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server
  - url: https://api.cashfree.com/pg
    description: Production server
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order
  - name: Offers
    description: Collection of APIs to handle offers
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /recon:
    post:
      tags:
        - PG Reconciliation
      summary: PG Reconciliation
      description: >
        - Use this API to get the payment gateway reconciliation details with
        date range.

        - It will have events for your payment account
      operationId: PGFetchRecon
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
          description: application/json
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
          description: application/json
      requestBody:
        $ref: '#/components/requestBodies/FetchReconRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconEntity'
          headers:
            x-api-version:
              $ref: '#/components/headers/x-api-version'
            x-ratelimit-limit:
              $ref: '#/components/headers/x-ratelimit-limit'
            x-ratelimit-remaining:
              $ref: '#/components/headers/x-ratelimit-remaining'
            x-ratelimit-retry:
              $ref: '#/components/headers/x-ratelimit-retry'
            x-ratelimit-type:
              $ref: '#/components/headers/x-ratelimit-type'
            x-request-id:
              $ref: '#/components/headers/x-request-id'
            x-idempotency-key:
              $ref: '#/components/headers/x-idempotency-key'
            x-idempotency-replayed:
              $ref: '#/components/headers/x-idempotency-replayed'
        '400':
          $ref: '#/components/responses/Response400'
        '401':
          $ref: '#/components/responses/Response401'
        '404':
          $ref: '#/components/responses/Response404'
        '409':
          $ref: '#/components/responses/Response409'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD
      schema:
        type: string
        description: API version to be used
        default: '2023-08-01'
      example: '2023-08-01'
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request id for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to cashfree
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        An idempotency key is a unique identifier you include with your API
        call.

        If the request fails or times out, you can safely retry it using the
        same key to avoid duplicate actions.
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  requestBodies:
    FetchReconRequest:
      description: Request Body for the reconciliation
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FetchReconRequest'
  schemas:
    ReconEntity:
      title: ReconEntity
      description: Settlement detailed recon response
      example:
        cursor: cursor-uid
        limit: 9
        data:
          - cf_settlement_id: '45345'
            settlement_date: '2022-08-16T14:45:24+05:30'
            sale_type: CREDIT
            event_amount: 3000
            amount_settled: 2796.46
            event_settlement_amount: 2800
            event_currency: INR
            payment_till: '2022-08-16T14:45:00+05:30'
            event_id: '45345'
            event_type: SETTLEMENT
            service_charge: 0
            service_tax: 0
            settlement_utr: PGI45345
            payment_from: '2022-08-16T14:14:55+05:30'
            settlement_initiated_on: '2022-08-16T14:45:24+05:30'
            adjustment: -200
            settlement_tax: 0.54
            event_time: '2022-08-16T14:45:07+05:30'
            settlement_charge: 3
            entity: recon
            remarks: Settled
            event_status: PAID
            settlement_type: INSTANT_SETTLEMENT
            payment_group: CREDIT_CARD
          - cf_settlement_id: '45356'
            settlement_date: '2022-08-16T14:45:14+05:30'
            sale_type: CREDIT
            event_amount: 0
            amount_settled: 0
            event_settlement_amount: 0
            event_currency: INR
            payment_till: '2022-08-16T14:45:14+05:30'
            event_id: '45356'
            event_type: SETTLEMENT
            service_charge: 0
            service_tax: 0
            settlement_utr: ''
            payment_from: '2022-08-16T14:45:14+05:30'
            adjustment: 0
            settlement_tax: 0
            event_time: '2022-08-16T14:45:14+05:30'
            settlement_charge: 0
            entity: recon
            remarks: No eligible transactions to settle
            event_status: PAID
            settlement_type: INSTANT_SETTLEMENT
            payment_group: CREDIT_CARD
          - cf_settlement_id: '45373'
            settlement_date: '2022-08-16T14:45:38+05:30'
            sale_type: CREDIT
            event_amount: 0
            amount_settled: 0
            event_settlement_amount: 0
            event_currency: INR
            payment_till: '2022-08-16T14:45:38+05:30'
            event_id: '45373'
            event_type: SETTLEMENT
            service_charge: 0
            service_tax: 0
            settlement_utr: ''
            payment_from: '2022-08-16T14:45:38+05:30'
            adjustment: 0
            settlement_tax: 0
            event_time: '2022-08-16T14:45:38+05:30'
            settlement_charge: 0
            entity: recon
            remarks: No eligible transactions to settle
            event_status: PAID
            settlement_type: INSTANT_SETTLEMENT
            payment_group: CREDIT_CARD
          - cf_settlement_id: '45406'
            split_service_charge: 0
            sale_type: DEBIT
            event_amount: 3067.26
            payment_service_charge: 0
            event_settlement_amount: 3067.26
            event_type: DISPUTE
            order_amount: 3000
            payment_service_tax: 0
            closed_in_favor_of: MERCHANT
            dispute_resolved_on: '2022-08-16 14:53:15'
            event_status: CLOSED
            settlement_date: '2022-08-16T14:45:24+05:30'
            customer_phone: '8281554863'
            dispute_note: tesr
            event_currency: INR
            event_id: '272'
            settlement_utr: PGI45406
            customer_email: manideep.ellur@cashfree.com
            dispute_category: 1402-Duplicate Processing
            customer_name: Manideep
            split_service_tax: 0
            vendor_commission: 0
            order_id: order_1527072DQpGNwTMBlnAc1GfxmWalriHBG
            entity: recon
            event_time: '2022-08-16T14:52:55+05:30'
            payment_group: CREDIT_CARD
          - cf_settlement_id: '45406'
            split_service_charge: 0
            sale_type: CREDIT
            event_amount: 3067.26
            payment_service_charge: 0
            event_settlement_amount: 3067.26
            event_type: DISPUTE_REVERSAL
            order_amount: 3000
            payment_service_tax: 0
            closed_in_favor_of: MERCHANT
            dispute_resolved_on: '2022-08-16 14:53:15'
            event_status: CLOSED
            settlement_date: '2022-08-16T14:45:24+05:30'
            customer_phone: '8281554863'
            dispute_note: tesr
            event_currency: INR
            event_id: '272'
            settlement_utr: PGI45406
            customer_email: manideep.ellur@cashfree.com
            dispute_category: 1402-Duplicate Processing
            customer_name: Manideep
            split_service_tax: 0
            vendor_commission: 0
            order_id: order_1527072DQpGNwTMBlnAc1GfxmWalriHBG
            entity: recon
            event_time: '2022-08-16T14:52:55+05:30'
            payment_group: CREDIT_CARD
          - cf_settlement_id: '45345'
            event_id: '45345'
            event_type: OTHER_ADJUSTMENT
            sale_type: CREDIT
            event_amount: 3000
            adjustment_remarks: INSTANT_SETTLEMENT_COMPUTE
            event_currency: INR
            event_time: '2022-08-16T14:45:07+05:30'
            entity: recon
            event_settlement_amount: 3000
            payment_group: CREDIT_CARD
          - cf_settlement_id: '45345'
            event_id: '45345'
            event_type: OTHER_ADJUSTMENT
            sale_type: DEBIT
            event_amount: 3
            adjustment_remarks: INSTANT_SETTLEMENT_CHARGE
            event_currency: INR
            event_time: '2022-08-16T14:45:21+05:30'
            entity: recon
            event_settlement_amount: 3
            payment_group: CREDIT_CARD
          - cf_settlement_id: '45345'
            event_id: '45345'
            event_type: OTHER_ADJUSTMENT
            sale_type: DEBIT
            event_amount: 0.54
            adjustment_remarks: INSTANT_SETTLEMENT_TAX
            event_currency: INR
            event_time: '2022-08-16T14:45:21+05:30'
            entity: recon
            event_settlement_amount: 0.54
          - cf_settlement_id: '45345'
            event_id: '45345'
            event_type: OTHER_ADJUSTMENT
            sale_type: DEBIT
            event_amount: 2796.46
            adjustment_remarks: INSTANT_SETTLEMENT_SWEEP
            event_currency: INR
            event_time: '2022-08-16T14:45:21+05:30'
            entity: recon
            event_settlement_amount: 2796.46
            payment_group: CREDIT_CARD
      properties:
        cursor:
          type: string
          description: >-
            Specifies from where the next set of settlement details should be
            fetched.
        limit:
          type: integer
          description: Number of settlements you want to fetch in the next iteration.
        data:
          type: array
          items:
            type: object
            properties:
              event_id:
                type: string
                description: Unique ID associated with the event.
              event_type:
                type: string
                description: >-
                  The event type can be SETTLEMENT, PAYMENT, REFUND,
                  REFUND_REVERSAL, DISPUTE, DISPUTE_REVERSAL, CHARGEBACK,
                  CHARGEBACK_REVERSAL, OTHER_ADJUSTMENT.
              event_settlement_amount:
                type: number
                description: >-
                  Amount that is part of the settlement corresponding to the
                  event.
              event_amount:
                type: number
                description: >-
                  Amount of the event. Example, refund amount, dispute amount,
                  payment amount, etc.
              sale_type:
                type: string
                description: Indicates if it is CREDIT/DEBIT sale.
              event_status:
                type: string
                description: >-
                  Status of the event. Example - SUCCESS, FAILED, PENDING,
                  CANCELLED.
              entity:
                type: string
                description: Recon
              event_time:
                type: string
                description: >-
                  Time associated with the event. Example, transaction time,
                  dispute initiation time
              event_currency:
                type: string
                description: Curreny type - INR.
              order_id:
                type: string
                description: Unique order ID. Alphanumeric and only '-' and '_' allowed.
              order_amount:
                type: number
                description: The amount which was passed at the order creation time.
              customer_phone:
                type: string
                description: Customer phone number.
              customer_email:
                type: string
                description: Customer email.
              customer_name:
                type: string
                description: Customer name.
              payment_amount:
                type: number
                description: Payment amount captured.
              payment_utr:
                type: string
                description: Unique transaction reference number of the payment.
              payment_time:
                type: string
                description: Date and time when the payment was initiated.
              payment_service_charge:
                type: number
                description: Service charge applicable for the payment.
              payment_service_tax:
                type: number
                description: Service tax applicable on the payment.
              cf_payment_id:
                type: string
                description: Cashfree Payments unique ID to identify a payment.
              cf_settlement_id:
                type: string
                description: Unique ID to identify the settlement.
              settlement_date:
                type: string
                description: Date and time when the settlement was processed.
              settlement_utr:
                type: string
                description: Unique transaction reference number of the settlement.
              split_service_charge:
                type: number
                description: Service charge that is applicable for splitting the payment.
              split_service_tax:
                type: number
                description: Service tax applicable for splitting the amount to vendors.
              vendor_commission:
                type: number
                description: Vendor commission applicable for this transaction.
              closed_in_favor_of:
                type: string
                description: >-
                  Specifies whether the dispute was closed in favor of the
                  merchant or customer. /n Possible values - Merchant, Customer
              dispute_resolved_on:
                type: string
                description: Date and time when the dispute was resolved.
              dispute_category:
                type: string
                description: >-
                  Category of the dispute - Dispute code and the reason for
                  dispute is shown.
              dispute_note:
                type: string
                description: Note regarding the dispute.
              refund_processed_at:
                type: string
                description: Date and time when the refund was processed.
              refund_arn:
                type: string
                description: The bank reference number for the refund.
              refund_note:
                type: string
                description: A refund note for your reference.
              refund_id:
                type: string
                description: An unique ID to associate the refund with.
              adjustment_remarks:
                type: string
                description: Other adjustment remarks.
              adjustment:
                type: number
                description: >-
                  Amount that is adjusted from the settlement amount because of
                  any credit/debit event such as refund, refund_reverse etc.
              service_tax:
                type: number
                description: Service tax applicable on the settlement amount.
              service_charge:
                type: number
                description: Service charge applicable on the settlement amount.
              amount_settled:
                type: number
                description: >-
                  Net amount that is settled after considering the adjustments,
                  settlement charge and tax.
              payment_from:
                type: string
                description: >-
                  The start time of the time range of the payments considered
                  for the settlement.
              payment_till:
                type: string
                description: >-
                  The end time of time range of the payments considered for the
                  settlement.
              reason:
                type: string
                description: Reason for settlement failure.
              settlement_initiated_on:
                type: string
                description: Date and time when the settlement was initiated.
              settlement_type:
                type: string
                description: >-
                  Type of settlement. Possible values - Standard, Instant, On
                  demand.
              settlement_charge:
                type: number
                description: Settlement charges applicable on the settlement.
              settlement_tax:
                type: number
                description: Settlement tax applicable on the settlement.
              remarks:
                type: string
                description: Remarks on the settlement.
    FetchReconRequest:
      type: object
      description: Recon object
      example:
        pagination:
          limit: 10
          cursor: >-
            eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==
        filters:
          start_date: '2022-07-20T00:00:00Z'
          end_date: '2022-07-21T23:59:59Z'
      properties:
        pagination:
          type: object
          properties:
            limit:
              type: integer
              description: >-
                Number of settlements you want to fetch in the next iteration.
                Maximum limit is 1000, default value is 10.
            cursor:
              type: string
              description: >-
                Specifies from where the next set of settlement details should
                be fetched.
          description: >-
            To fetch the next set of settlements, pass the cursor received in
            the response to the next API call. 
             To receive the data for the first time, pass the cursor as null. 
             Limit would be number of settlements that you want to receive.
          required:
            - limit
        filters:
          type: object
          properties:
            start_date:
              type: string
              description: >-
                Specify the start date from when you want the settlement
                reconciliation details.
            end_date:
              type: string
              description: >-
                Specify the end date till when you want the settlement
                reconciliation details.
          required:
            - start_date
            - end_date
      required:
        - pagination
        - filters
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client
      example:
        message: bad URL, please check API documentation
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
    AuthenticationError:
      title: AuthenticationError
      description: Error if api keys are wrong
      example:
        message: authentication Failed
        code: request_failed
        type: authentication_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: authentication_error
    ApiError404:
      title: ApiError404
      description: Error when resource requested is not found
      example:
        message: something is not found
        code: somethind_not_found
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
          description: invalid_request_error
    ApiError409:
      title: ApiError409
      description: duplicate request
      example:
        message: order with same id is already present
        code: order_already_exists
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
          description: invalid_request_error
    IdempotencyError:
      title: IdempotencyError
      description: >-
        Error when idempotency fails. Different request body with the same
        idempotent key
      example:
        message: something is not found
        code: request_invalid
        type: idempotency_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - idempotency_error
          description: idempotency_error
    RateLimitError:
      title: RateLimitError
      description: Error when rate limit is breached for your api
      example:
        message: Too many requests from IP. Check headers
        code: request_failed
        type: rate_limit_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - rate_limit_error
          description: rate_limit_error
    ApiError:
      title: ApiError
      description: Error at cashfree's server
      example:
        message: internal Server Error
        code: internal_error
        type: api_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - api_error
          description: api_error
  headers:
    x-api-version:
      schema:
        type: string
        format: YYYY-MM-DD
        enum:
          - '2022-09-01'
      description: >-
        This header has the version of the API. The current version is
        `2022-09-01`.
    x-ratelimit-limit:
      schema:
        type: integer
      example: 200
      description: Ratelimit set for your account for this API per minute
    x-ratelimit-remaining:
      schema:
        type: integer
      example: 2
      description: >-
        Rate limit remaning for your account for this API in the next minute.
        Uses sliding window
    x-ratelimit-retry:
      schema:
        type: integer
      example: 4
      description: |
        Contains number of seconds to wait if rate limit is breached
        - Is 0 if withing the limit
        - Is between 1 and 59 if breached
    x-ratelimit-type:
      schema:
        type: string
        enum:
          - app_id
          - ip
      example: ip
      description: >
        either ip or app_id

        - `ip` if making a call from the browser. True for api where you don't
        need `x-client-id` and `x-client-secret`

        - `app_id` for authenticated api calls i.e using `x-client-id` and
        `x-client-secret`
    x-request-id:
      schema:
        type: string
      example: some-req-id
      description: >-
        Request id for your api call. Is blank or null if no `x-request-id` is
        sent during the request
    x-idempotency-key:
      schema:
        type: string
      example: some-idem-id
      description: >-
        An idempotency key is a unique identifier you include with your API
        call. If the request fails or times out, you can safely retry it using
        the same key to avoid duplicate actions.
    x-idempotency-replayed:
      schema:
        type: string
        format: boolean
      example: 'true'
      description: |-
        In conjunction with `x-idempotency-key` this means
        - `true` if the response was replayed
        - `false` if the response has not been replayed
  responses:
    Response400:
      description: Bad request error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response401:
      description: Authentication Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AuthenticationError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response404:
      description: Resource Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError404'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response409:
      description: Resource already present
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError409'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response422:
      description: Idempotency error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/IdempotencyError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response429:
      description: Rate Limit Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response500:
      description: API related Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant id if you don't have
        the merchant client app id

````